# Nagios plugin to check cluster synchronization process

## Installation

```bash
git clone https://gitea.zionetrix.net/bn8/check_sync_cluster.git /usr/local/src/check_sync_cluster
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_sync_cluster/check_sync_cluster /usr/local/lib/nagios/plugins/
echo "command[check_sync_cluster]=/usr/local/lib/nagios/plugins/check_sync_cluster" > /etc/nagios/nrpe.d/sync-cluster.cfg
service nagios-nrpe-server reload
```

## Usage


```
Usage : ./check_sync_cluster [-f files_path_format] [-wcWC]
	-h			Show this help message
	-f [files path format]	Specify files path template (default : /var/run/sync_cluster)
	-w [minutes]		Specify WARNING time in minutes for status file (default : 5)
	-c [minutes]		Specify CRITICAL time in minutes for status file (default : 10)
	-W [minutes]		Specify WARNING time in minutes for PID file (default : 5)
	-C [minutes]		Specify CRITICAL time in minutes for PID file (default : 10)
```

## Copyright

Copyright (c) 2018-2023 Benjamin Renard

## License

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
